Skip to main content
GET
/
spending_plans
/
{spending_plan_guid}
/
iterations
List spending plan iterations
curl --request GET \
  --url https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "iterations": [
    {
      "created_at": "2016-10-13T18:08:00+00:00",
      "end_on": "2023-05-31T00:00:00.000Z",
      "guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
      "iteration_number": 1,
      "spending_plan_guid": "SPL-dbfe201d-c341-4bff-93c0-62a918d0b600",
      "start_on": "2023-05-01T00:00:00.000Z",
      "updated_at": "2016-10-13T18:09:00.000Z",
      "user_guid": "USR-72086f59-6684-4adf-8f29-c4d32db43cd7"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total_entries": 1,
    "total_pages": 1
  }
}
This endpoint returns a list of iterations associated with the spending_plan according to its MX-defined GUID.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

spending_plan_guid
string
required

The unique identifier for the spending plan. Defined by MX.

Response

200 - application/vnd.mx.nexus.v1+json

OK

iterations
object[]
pagination
object